﻿
local PVPLauncher = CreateFrame("Frame", "Broker: |cffff8000PVPLauncher|r")
PVPLauncher.obj = LibStub("LibDataBroker-1.1"):NewDataObject("PVP Launcher", {
	type = "launcher",
	icon = "Interface\TargetingFrame\UI-PVP-FFA",
	iconCoords = {0, 5/8, 0, 5/8},
	label = "PvP",
	OnClick = function(_, button)
		if button == "LeftButton" then
			ShowUIPanel(PVPParentFrame)
			PVPBattlegroundFrame:Hide()
			PVPFrame:Show()
			PanelTemplates_SetTab(PVPParentFrame, 1)
		elseif button == "RightButton" then
			ShowUIPanel(PVPParentFrame)
			PVPFrame:Hide()
			PVPBattlegroundFrame:Show()
			PanelTemplates_SetTab(PVPParentFrame, 2)
		end
	end,
	OnTooltipShow = function(tooltip)
		tooltip:AddLine("|cff99ff33Right Click|r to open the Queue tab")
		tooltip:AddLine("|cff99ff33Click|r to open the PvP tab")
	end,
})

PVPLauncher:SetScript("OnEvent", function()
	local faction = (UnitFactionGroup("player"))
	if faction then
		PVPLauncher.obj.icon = "Interface\\TargetingFrame\\UI-PVP-"..faction
	end
end)

PVPLauncher:RegisterEvent("PLAYER_LOGIN")
PVPLauncher:RegisterEvent("PLAYER_ENTERING_WORLD")
